<div class="p-4 bg-white">
  <form style="display: flex;justify-content: space-between">
    <div>
      <button mat-button color="primary" [routerLink]="'#'">
        <mat-icon>add</mat-icon>
        Ajouter un utilisateur
      </button>
    </div>

  </form>
<table mat-table [dataSource]="dataSource">

  <ng-container matColumnDef="nom">
    <th mat-header-cell *matHeaderCellDef> Nom </th>
    <td mat-cell *matCellDef="let element"> {{element.nom}} </td>
  </ng-container>

  <ng-container matColumnDef="prenom">
    <th mat-header-cell *matHeaderCellDef> Prénom </th>
    <td mat-cell *matCellDef="let element"> {{element.prenom}} </td>
  </ng-container>

  <ng-container matColumnDef="email">
    <th mat-header-cell *matHeaderCellDef> Email </th>
    <td mat-cell *matCellDef="let element"> {{element.email}} </td>
  </ng-container>

  <ng-container matColumnDef="UtiRole">
    <th mat-header-cell *matHeaderCellDef> Rôle</th>
    <td mat-cell *matCellDef="let element"> {{element.UtiRole}} </td>
  </ng-container>

  <ng-container matColumnDef="actions">
    <th mat-header-cell *matHeaderCellDef>  </th>
    <td mat-cell *matCellDef="let element">
      <button mat-icon-button (click)="''">
        <mat-icon>create</mat-icon>
      </button>
      <button mat-icon-button (click)="''">
        <mat-icon>delete</mat-icon>
      </button>
    </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table>
</div>
